define({"540":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_LuaJsonValue_new.htm",l:-1,t:"LuaJsonValue:new",i:0.000512296556938803,a:"LuaJsonValue:new The constructor for a LuaJsonValue object (creates a new LuaJsonValue). Syntax LuaJsonValue:new( value ) Arguments Returns (LuaJsonValue). The new LuaJsonValue object."},"541":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_array.htm",l:-1,t:"array",i:0.000512296556938803,a:"The array method gets the array, if the value is a JSON array. Syntax array() Returns (LuaJsonArray). A  LuaJsonArray  object that represents the array. Example local fh = io.open(\"example_array.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = ..."},"542":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_copy.htm",l:-1,t:"copy",i:0.000512296556938803,a:"copy The copy method returns a copy of the value. Modifying the copy does not affect the original value. Syntax copy() Returns (LuaJsonValue). A copy of the value."},"543":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_exists.htm",l:-1,t:"exists",i:0.00341490777178119,a:"The exists method checks whether a specified path exists in the JSON value. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"544":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00341490777178119,a:"The existsByPath method checks whether a specified path exists in the JSON value.  Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"545":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_array.htm",l:-1,t:"is_array",i:0.000512296556938803,a:"is_array The is_array method whether the value is a JSON array. Syntax is_array() Returns (Boolean). Returns true if the value is an array value, false otherwise."},"546":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_boolean.htm",l:-1,t:"is_boolean",i:0.000512296556938803,a:"is_boolean The is_boolean method returns whether the value is a Boolean value. Syntax is_boolean() Returns (Boolean). Returns true if the value is a Boolean value, false otherwise."},"547":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_float.htm",l:-1,t:"is_float",i:0.000512296556938803,a:"is_float The is_float method returns whether the value is a floating point value. Syntax is_float() Returns (Boolean). Returns true if the value is a floating point value, false otherwise."},"548":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_integer.htm",l:-1,t:"is_integer",i:0.000512296556938803,a:"is_integer The is_integer method returns whether the value is an integral value. Syntax is_integer() Returns (Boolean). Returns true if the value is an integer value, false otherwise."},"549":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_null.htm",l:-1,t:"is_null",i:0.000512296556938803,a:"is_null The is_null method returns whether the value is a null value. Syntax is_null() Returns (Boolean). Returns true if the value is a null value, false otherwise."},"550":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_number.htm",l:-1,t:"is_number",i:0.000512296556938803,a:"is_number The is_number method returns whether the value is a number. Syntax is_number() Returns (Boolean). Returns true if the value is a number, false otherwise."},"551":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_object.htm",l:-1,t:"is_object",i:0.000512296556938803,a:"is_object The is_object method returns whether the value is a JSON object. Syntax is_object() Returns (Boolean). Returns true if the value is a JSON object, false otherwise."},"552":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_simple_value.htm",l:-1,t:"is_simple_value",i:0.000512296556938803,a:"is_simple_value The is_simple_value method returns whether the value is a simple value (Boolean, float, integer, or string). Syntax is_simple_value() Returns (Boolean). Returns true if the value is a simple value, false otherwise."},"553":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_string.htm",l:-1,t:"is_string",i:0.000512296556938803,a:"is_string The is_string method returns whether the value is a string value. Syntax is_string() Returns (Boolean). Returns true if the value is a string value, false otherwise."},"554":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00341490777178119,a:"The lookup method returns the value at the specified path in the JSON value. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified path, ..."},"555":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00341490777178119,a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"556":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",l:-1,t:"object",i:0.000512296556938803,a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ..."},"557":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",l:-1,t:"string",i:0.000512296556938803,a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n"},"558":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",l:-1,t:"value",i:0.000512296556938803,a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Returns (lua_json_simple_type). A ..."},"559":{y:0,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",l:-1,t:"LuaLog Methods",i:0.00310567996472399,a:"LuaLog Methods A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message)"},"560":{y:0,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",l:-1,t:"write_line",i:0.00174340712057097,a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Example local config = get_config(\"connector.cfg\")\nlocal log = get_log(config, \"SynchronizeLogStream\")\nlog:write_line( log_level_error() , \"This message is written to the synchronize log\")"},"561":{y:0,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",l:-1,t:"LuaLogService Methods",i:0.000560472213074607,a:"A LuaLogService object provides the capability to write messages to a standard or custom log file. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For example: myLogService:get_log(\"application\") Method Description get_log Returns a LuaLog ..."},"562":{y:0,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",l:-1,t:"LuaLogService:new",i:0.000661688012953942,a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not create a new log service to write messages to log types that are defined in the Answer Server configuration file. Instead use the same log service as Answer Server, by calling  get_log_service , or obtain a LuaLog ..."},"563":{y:0,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",l:-1,t:"get_log",i:0.000661688012953942,a:"get_log The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Returns (LuaLog). A  LuaLog  object. Example local log = myLuaLogService:get_log(\"import\")\n-- import is a standard log type for CFS"},"564":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",l:-1,t:"LuaRegexMatch Methods",i:0.00109870160486981,a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ..."},"565":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",l:-1,t:"length",i:0.000610266509923241,a:"length The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Returns (Number). The length of the sub match."},"566":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",l:-1,t:"next",i:0.000610266509923241,a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one."},"567":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",l:-1,t:"position",i:0.000610266509923241,a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Returns (Number). The position of the ..."},"568":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",l:-1,t:"size",i:0.000610266509923241,a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match."},"569":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",l:-1,t:"str",i:0.000610266509923241,a:"str The str method returns the matched text. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Returns (String). The value of the sub match."},"570":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:0.000549849219985888,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"571":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:0.000516961258328981,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"572":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:0.000516961258328981,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"573":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:0.000516961258328981,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"574":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:0.000516961258328981,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"575":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:0.000516961258328981,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"576":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:0.000423486625910197,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"577":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.000603468925898508,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"578":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.000603468925898508,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"579":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:0.000423486625910197,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"580":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:0.000459483085907859,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"581":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:0.000459483085907859,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"582":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:0.000459483085907859,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"583":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:0.000459483085907859,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"584":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:0.000459483085907859,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"585":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:0.000459483085907859,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"586":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:0.000459483085907859,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"587":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:0.000459483085907859,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"588":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:0.000459483085907859,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"589":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:0.000459483085907859,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"590":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:0.000423486625910197,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"591":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:0.000513477775904353,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"592":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:0.000513477775904353,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"593":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:0.000513477775904353,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"594":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:0.000513477775904353,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"595":{y:0,u:"../Content/AnswerServerLua/AnswerServerLua.htm",l:-1,t:"Answer Server Lua Functions and Methods Reference",i:0.000423486625910197,a:"This section describes the functions and methods that you can use in your Lua scripts that are specific to Answer Server. For information about the uses for your Lua scripts, and setting up debugging in Lua, refer to the  Answer Server Administration Guide."},"596":{y:0,u:"../Content/AnswerServerLua/ConversationLua.htm",l:-1,t:"Conversation Lua Functions and Methods Reference",i:0.000423486625910197,a:"Conversation Lua Functions and Methods Reference This section describes the functions and methods that you can use in your Lua scripts as part of your conversation tasks (see  TaskConfigurationFile ). "},"597":{y:0,u:"../Content/AnswerServerLua/Conversation/LuaConditionalRoutingRule_Methods.htm",l:-1,t:"LuaConditionalRoutingRule Methods",i:0.000859943954888623,a:"A LuaConditionalRoutingRule object is a conditional routing that maps some input text to a destination task.  If you have a LuaConditionalRoutingRule object, you can call its methods by using the \u0027:\u0027 operator. For example: routingRule:getMatch() Method Description getMatch Gets the input text part ..."},"598":{y:0,u:"../Content/AnswerServerLua/Conversation/getMatch.htm",l:-1,t:"getMatch",i:0.000667138158364382,a:"The getMatch method gets the input text part of a conditional routing rule from a LuaConditionalRoutingRule object. A LuaConditionalRoutingRule object is a conditional routing rule, with input text and the task to route to.  Syntax getMatch() Returns (strings) The input text from the rule. Example ..."},"599":{y:0,u:"../Content/AnswerServerLua/Conversation/getRouting.htm",l:-1,t:"getRouting",i:0.000667138158364382,a:"The getRouting method gets the task ID part of a conditional routing rule from a LuaConditionalRoutingRule object. A LuaConditionalRoutingRule object is a conditional routing rule, with input text and the task to route to.  Syntax getRouting() Returns (strings) The ID of the task to route to. ..."},"600":{y:0,u:"../Content/AnswerServerLua/Conversation/LuaConditionalRoutingRule_new.htm",l:-1,t:"LuaConditionalRoutingRule:new",i:0.00110359548734281,a:"The constructor for a LuaConditionalRoutingRule object (creates a new LuaConditionalRoutingRule object). A LuaConditionalRoutingRule object is a conditional routing that maps some user input to a destination task.  Syntax new(input_text, task_ID) Arguments Example local rule = ..."},"601":{y:0,u:"../Content/AnswerServerLua/Conversation/LuaConditionalRoutingTable_Methods.htm",l:-1,t:"LuaConditionalRoutingTable Methods",i:0.000423486625910197,a:"LuaConditionalRoutingTable Methods A LuaConditionalRoutingTable object is a table of conditional routing rules and prompts.  If you have a LuaConditionalRoutingTable object, you can call its methods by using the \u0027:\u0027 operator. For example: routingTable:getPrompt()"},"602":{y:0,u:"../Content/AnswerServerLua/Conversation/getPrompt_routingTable.htm",l:-1,t:"getPrompt",i:0.000513477775904353,a:"The getPrompt method gets the prompt part of a routingTable object. A routingTable object is a prompt string, and an array of LuaConditionalRoutingRules objects, which map some input text to a task.  In the case of a disambiguation Lua script, the prompt is initially the configured disambiguation ..."},"603":{y:0,u:"../Content/AnswerServerLua/Conversation/getRules.htm",l:-1,t:"getRules",i:0.000513477775904353,a:"The getRules method gets the current array of conditional routing rules to use for the current task after the Lua function completes. A conditional routing rule is defined by a LuaConditionalRoutingRule object  (see  LuaConditionalRoutingRule Methods ). Syntax getRules() Returns (array) An array of ..."},"604":{y:0,u:"../Content/AnswerServerLua/Conversation/setPrompt.htm",l:-1,t:"setPrompt",i:0.000423486625910197,a:"setPrompt The setPrompt method sets a text prompt to return in the current conversation task after the script is complete. This prompt replaces any existing prompts. Syntax setPrompt( new_prompt ) Arguments Example routingTable:setPrompt(\"I think you might mean one of the following:\")\n"},"605":{y:0,u:"../Content/AnswerServerLua/Conversation/setRules.htm",l:-1,t:"setRules",i:0.000513477775904353,a:"The setRules method sets an array of LuaConditionalRoutingRule objects  to use to route the user to the appropriate task after the script is complete. This rule replaces any existing rules. You create a LuaConditionalRoutingRule object by using the  LuaConditionalRoutingRule:new  constructor. Syntax ..."},"606":{y:0,u:"../Content/AnswerServerLua/Conversation/LuaUserPrompt_Methods.htm",l:-1,t:"LuaUserPrompt Methods",i:0.0013155244661175,a:"A LuaUserPrompt object is a prompt string, with optional metadata, to return to the user.  If you have a LuaUserPrompt object, you can call its methods by using the \u0027:\u0027 operator. For example: LuaUserPrompt:getPrompt() Method Description getChoices Gets the valid_choices metadata part of the prompt ..."},"607":{y:0,u:"../Content/AnswerServerLua/Conversation/getChoices.htm",l:-1,t:"getChoices",i:0.00070303646718349,a:"The getChoices method gets the valid_choices part of a prompt from a LuaUserPrompt object. A LuaUserPrompt object is a prompt string, with optional metadata, to return to the user.  Syntax getChoices() Returns (strings) The valid choices for the prompt. Example local choices = ..."},"608":{y:0,u:"../Content/AnswerServerLua/Conversation/getPrompt.htm",l:-1,t:"getPrompt",i:0.00070303646718349,a:"getPrompt The getPrompt method gets the text part of a prompt from a LuaUserPrompt object. A LuaUserPrompt object is a prompt string, with optional metadata, to return to the user.  Syntax getPrompt() Returns (string) The prompt text. Example local text = LuaUserPrompt:getPrompt()"},"609":{y:0,u:"../Content/AnswerServerLua/Conversation/getSuggestions.htm",l:-1,t:"getSuggestions",i:0.00070303646718349,a:"The getSuggestions method gets the suggestions part of a prompt from a LuaUserPrompt object. A LuaUserPrompt object is a prompt string, with optional metadata, to return to the user.  Syntax getSuggestions() Returns (strings) The suggestions for the prompt. Example local choices = ..."},"610":{y:0,u:"../Content/AnswerServerLua/Conversation/LuaUserPrompt_new.htm",l:-1,t:"LuaUserPrompt:new",i:0.00115861697841237,a:"The constructor for a LuaUserPrompt object (creates a new LuaUserPrompt object). A LuaUserPrompt object is a prompt string, with optional metadata, to return to the user.  Syntax new(text, valid_choices, suggestions) Arguments Example local prompt2 = LuaUserPrompt:new(\"The following cakes are ..."},"611":{y:0,u:"../Content/AnswerServerLua/Conversation/TaskUtils_Methods.htm",l:-1,t:"TaskUtils Methods",i:0.000423486625910197,a:"A TaskUtils object is an operation to perform with a conversation task. This object is the input to the function that you use for your conversation task (you specify the function to use in your task configuration JSON file).  If you have a TaskUtils object, you can call its methods by using the \u0027:\u0027 ..."},"612":{y:0,u:"../Content/AnswerServerLua/Conversation/ask.htm",l:-1,t:"ask",i:0.000445984413408736,a:"The ask method sends a question to the specified answer systems in an  Ask  action.  Syntax ask(question, systems, maxresults, disambiguation, queryparameters) Arguments Returns A list of  LuaXmlDocument  objects that represent the answers. Example function get_text(document, xpath)\n   return ..."},"613":{y:0,u:"../Content/AnswerServerLua/Conversation/clearAllSessionVars.htm",l:-1,t:"clearAllSessionVars",i:0.000445984413408736,a:"The clearAllSessionVars method deletes all session variables that have been set in the current conversation session. If you delete a session variable, and the current conversation task has a requirement to set the variable, the conversation task asks the user to provide a new value for the variable. ..."},"614":{y:0,u:"../Content/AnswerServerLua/Conversation/clearAllTaskVars.htm",l:-1,t:"clearAllTaskVars",i:0.000445984413408736,a:"clearAllTaskVars The clearAllTaskVars method deletes all task variables that have been set in the current task. If you delete variables during a task, the conversation task asks the user to provide a new value for the variables. Syntax clearAllTaskVars()"},"615":{y:0,u:"../Content/AnswerServerLua/Conversation/clearSessionVar.htm",l:-1,t:"clearSessionVar",i:0.000445984413408736,a:"The clearSessionVar method deletes a specified session variable, if it exists. If you delete a session variable, and the current conversation task has a requirement to set the variable, the conversation task asks the user to provide a new value for the variable. If the current conversation task does ..."},"616":{y:0,u:"../Content/AnswerServerLua/Conversation/clearTaskVar.htm",l:-1,t:"clearTaskVar",i:0.000445984413408736,a:"clearTaskVar The clearTaskVar method deletes a specified task variable, if it exists. If you delete a variable during a task, the conversation task asks the user to provide a new value for the variable. Syntax clearTaskVar ( key ) Arguments"},"617":{y:0,u:"../Content/AnswerServerLua/Conversation/getPrompts.htm",l:-1,t:"getPrompts",i:0.000445984413408736,a:"The getPrompts method gets the current table of prompts that the conversation task will return after the Lua function completes. A prompt is defined by a LuaUserPrompt object  (see  LuaUserPrompt Methods ). Syntax getPrompts() Returns (list) A list of LuaUserPrompt objects. Example local prompt1 = ..."},"618":{y:0,u:"../Content/AnswerServerLua/Conversation/getSessionVar.htm",l:-1,t:"getSessionVar",i:0.000445984413408736,a:"The getSessionVar method gets the value of a conversation session variable.  You define session variables in your task configuration JSON file, by creating a task requirement with the scope property set to session. Syntax getSessionVar( key ) Arguments Returns (strings) The value of the session ..."},"619":{y:0,u:"../Content/AnswerServerLua/Conversation/getTaskId.htm",l:-1,t:"getTaskId",i:0.000445984413408736,a:"getTaskId The getTaskId method gets the ID of the current task as a string. Syntax getTaskId() Returns (strings) The ID of the current task."},"620":{y:0,u:"../Content/AnswerServerLua/Conversation/getTaskVar.htm",l:-1,t:"getTaskVar",i:0.000445984413408736,a:"The getTaskVar method gets the value of a conversation task variable.  You define task variables in your task configuration JSON file, by creating a task requirement with the scope property set to local (the default). Syntax getTaskVar ( key ) Arguments Returns (strings) The value of the task ..."},"621":{y:0,u:"../Content/AnswerServerLua/Conversation/getTranscript.htm",l:-1,t:"getTranscript",i:0.000423486625910197,a:"The getTranscript method gets an enumerated table of history stage objects, which record the user input and Answer Server responses for the current conversation session. Syntax getTranscript() Returns (table) An enumerated table of history stage objects. Each stage contains the user text and Answer ..."},"622":{y:0,u:"../Content/AnswerServerLua/Conversation/responsePrompts.htm",l:-1,t:"responsePrompts",i:0.000603468925898508,a:"The responsePrompts method gets the table of prompts that the conversation task returned at a particular stage of the conversation. A prompt is defined by a LuaUserPrompt object  (see  LuaUserPrompt Methods ). Syntax responsePrompts() Returns (list) A list of LuaUserPrompt objects. Example local ..."},"623":{y:0,u:"../Content/AnswerServerLua/Conversation/userInput.htm",l:-1,t:"userInput",i:0.000603468925898508,a:"The userInput method gets the input text that the user supplied at a particular stage of the conversation. The history table from getTranscript does not include the current user text. To retrieve the current user text, use the  getUserText  method. Syntax userInput() Returns (string) The user text ..."},"624":{y:0,u:"../Content/AnswerServerLua/Conversation/getUserText.htm",l:-1,t:"getUserText",i:0.000958934471388966,a:"getUserText The getUserText method gets the text that the user has entered as a string. Syntax getUserText() Returns (strings) The user text."},"625":{y:0,u:"../Content/AnswerServerLua/Conversation/getValidator.htm",l:-1,t:"getValidator",i:0.000445984413408736,a:"The getValidator method returns a callable validator object. You can pass a string input to the validator object to validate some text. Syntax getValidator( id ) Arguments Returns A callable validator object, or nil if the parameter was not a valid validator ID. When you pass a string to the ..."},"626":{y:0,u:"../Content/AnswerServerLua/Conversation/markAsValid.htm",l:-1,t:"markAsValid",i:0.000445984413408736,a:"markAsValid The markAsValid method indicates whether input that a validator marked as invalid is actually valid. You can also use this function in a cancel action (in the user_cancel or system_cancel configuration objects) to override the cancellation. Syntax markAsValid( bool ) Arguments"},"627":{y:0,u:"../Content/AnswerServerLua/Conversation/setNextTask.htm",l:-1,t:"setNextTask",i:0.000445984413408736,a:"The setNextTask method sets the ID of the task that you want to run after the current task. You can use this method only in functions that you call from the post section of a task configuration, or in the user_cancel or system_cancel objects. For more information, refer to the  Answer Server ..."},"628":{y:0,u:"../Content/AnswerServerLua/Conversation/setPrompts.htm",l:-1,t:"setPrompts",i:0.000535975563402891,a:"The setPrompts method sets a list of LuaUserPrompt objects  to return in the current conversation task after the script is complete.  You create a LuaUserPrompt object by using the  LuaUserPrompt:new  constructor. Syntax setPrompts( prompts ) Arguments Example function choose_cake(taskUtils)\n   ..."},"629":{y:0,u:"../Content/AnswerServerLua/Conversation/setSessionVar.htm",l:-1,t:"setSessionVar",i:0.000445984413408736,a:"The setSessionVar method sets the value of a conversation session variable.   You define session variables in your task configuration JSON file, by creating a task requirement with the scope property set to session. Syntax setSessionVar( key, value) Arguments Example function greet(taskUtils)\n   ..."},"630":{y:0,u:"../Content/AnswerServerLua/Conversation/setTaskVar.htm",l:-1,t:"setTaskVar",i:0.000445984413408736,a:"The setTaskVar method sets the value of a conversation task variable.   You define task variables in your task configuration JSON file, by creating a task requirement with the scope property set to local (the default). Syntax setTaskVar( key, value) Arguments Example function ..."},"631":{y:0,u:"../Content/AnswerServerLua/FactBankLua.htm",l:-1,t:"Fact Bank Lua Functions and Methods Reference",i:0.000423486625910197,a:"Fact Bank Lua Functions and Methods Reference This section describes the functions and methods that you can use in your Lua scripts to create a custom fact bank back end (see  BackendType )."},"632":{y:0,u:"../Content/AnswerServerLua/LuaIncompleteFact_Methods.htm",l:-1,t:"LuaIncompleteFact Methods",i:0.000537075724451072,a:"A LuaIncompleteFact object represents a parsing of the input question. This object is the input to the entry function that you use for your Lua Fact Bank (by default, the fetch function).  The LuaIncompleteFact object has at most one target element missing, which the Lua script must attempt to find ..."},"633":{y:0,u:"../Content/AnswerServerLua/getEntity.htm",l:-1,t:"getEntity",i:0.00048870315701875,a:"The getEntity method returns the entity that you want to find facts for. If the incomplete fact target is the entity, this method returns an empty string. Syntax getEntity() Returns (string) The entity name. Example local entityName = incomplete:getEntity()\nif \"QGBR\" == entityName then\n  ..."},"634":{y:0,u:"../Content/AnswerServerLua/getProperties.htm",l:-1,t:"getProperties",i:0.00048870315701875,a:"The getProperties method returns the array of properties for this fact. Syntax getProperties() Returns (array of LuaIncompleteFactProperty objects) An array of properties for the fact. See  LuaIncompleteFactProperty Methods . Example local props = incomplete:getProperties()\nfor i=1,#props do\n  ..."},"635":{y:0,u:"../Content/AnswerServerLua/getTargetDepth.htm",l:-1,t:"getTargetDepth",i:0.00048870315701875,a:"The getGetTargetDepth method returns the target of this incomplete fact (that is, the piece of information that you want to find).  See also:  getTargetPaths Syntax getTargetDepth() Returns (Integer). A number that represents the target information for the fact. The following table describes the ..."},"636":{y:0,u:"../Content/AnswerServerLua/getTargetPaths.htm",l:-1,t:"getTargetPaths",i:0.000904102009307064,a:"The getTargetPaths method returns the target of an incomplete fact. Syntax getTargetPaths() Returns (unsigned integers) An array of unsigned integers. The first value (if present) is the 0-indexed property of interest. The second value (if present) is the 0-indexed qualifier for the previously ..."},"637":{y:0,u:"../Content/AnswerServerLua/initToCodifiedFact.htm",l:-1,t:"initToCodifiedFact",i:0.000602292255559624,a:"The initToCodifiedFact method generates a fact to return, which must be completed by the script. Syntax initToCodifiedFact() Returns (LuaCodifiedFact) The codified fact object. See  LuaCodifiedFact Methods . Example local fact = incomplete:initToCodifiedFact()\nfact:setEntity(\"QGBR\")\n..."},"638":{y:0,u:"../Content/AnswerServerLua/LuaIncompleteFactProperty_Methods.htm",l:-1,t:"LuaIncompleteFactProperty Methods",i:0.000904102009307064,a:"A LuaIncompleteFactProperty object is a property of an incomplete fact.  A  LuaIncompleteFactProperty object can have zero or more LuaIncompleteFactQualifier objects. See  LuaIncompleteFactQualifier Methods  . If you have a LuaIncompleteFactProperty object called props, you can call its methods by ..."},"639":{y:0,u:"../Content/AnswerServerLua/getCode.htm",l:-1,t:"getCode",i:0.000898204784926987,a:"The getCode method gets an array of the codes for a property or qualifier. This array usually contains a single item unless the property or qualifier is negated (see  getNegated ). Syntax getCode() Returns (strings) An array of codes for the properties or qualifiers. Examples For a ..."},"640":{y:0,u:"../Content/AnswerServerLua/getNegated.htm",l:-1,t:"getNegated",i:0.00242515805871485,a:"The getNegated method returns whether the property or qualifier is negative (that is, something that you do not want to match).  Syntax getNegated() Returns (Boolean) A Boolean that specifies whether the property or qualifier is negated (true for negative properties and qualifiers, false otherwise). ..."},"641":{y:0,u:"../Content/AnswerServerLua/getQualifiers.htm",l:-1,t:"getQualifiers",i:0.000577184444294834,a:"The getQualifiers method returns an array of qualifiers for this property. Syntax getQualifiers() Returns (array of LuaIncompleteFactQualifier objects) An array of qualifiers for the property. See  LuaIncompleteFactQualifier Methods . Example local props = incomplete:getProperties()\nfor i=1,#props ..."},"642":{y:0,u:"../Content/AnswerServerLua/getVal.htm",l:-1,t:"getVal",i:0.000898204784926987,a:"The getVal method returns an array of the values for this property or qualifier. This array usually contains a single item unless the property or qualifier is negated (see  getNegated ). Syntax getVal() Returns (strings) An array of string values for this property or qualifier. Examples For a ..."},"643":{y:0,u:"../Content/AnswerServerLua/LuaIncompleteFactQualifier_Methods.htm",l:-1,t:"LuaIncompleteFactQualifier Methods",i:0.00113300921702635,a:"LuaIncompleteFactQualifier Methods A LuaIncompleteFactQualifier object is a qualifier for a property of an incomplete fact. If you have a LuaIncompleteFactQualifier object called quals, you can call its methods by using the \u0027:\u0027 operator. For example: quals:getNegated()"},"644":{y:0,u:"../Content/AnswerServerLua/LuaCodifiedFact_Methods.htm",l:-1,t:"LuaCodifiedFact Methods",i:0.000935436595981758,a:"A LuaCodifiedFact object is a complete fact. You initialize this fact from a LuaIncompleteFact object by using the initToCodifiedFact method (see  LuaIncompleteFact Methods  and  initToCodifiedFact ). A LuaCodifiedFact object must not have any missing elements (for example, it must have an entity ..."},"645":{y:0,u:"../Content/AnswerServerLua/setEntity.htm",l:-1,t:"setEntity",i:0.000537075724451072,a:"setEntity The setEntity method sets the entity that this fact describes. Syntax setEntity(entity) Arguments Example local fact = incomplete:initToCodifiedFact()\nfact:setEntity(\"QGBR\")\n..."},"646":{y:0,u:"../Content/AnswerServerLua/setProperties.htm",l:-1,t:"setProperties",i:0.000537075724451072,a:"setProperties The setProperties method sets the properties for this fact. Syntax setProperties(LuaCodifiedFactProperty) Arguments Example local fact = incomplete:initToCodifiedFact()\nfact:setProperties({LuaCodifiedFactProperty:new(\"QAGE\",\"42\", nil)})\n..."},"647":{y:0,u:"../Content/AnswerServerLua/setSource.htm",l:-1,t:"setSource",i:0.000537075724451072,a:"setSource The setSource method sets the source of the information for this fact. Syntax setSource(source) Arguments Example local fact = incomplete:initToCodifiedFact()\nfact:setSource(\"Externally held data\")\n..."},"648":{y:0,u:"../Content/AnswerServerLua/LuaCodifiedFactProperty_Methods.htm",l:-1,t:"LuaCodifiedFactProperty Methods",i:0.000537075724451072,a:"LuaCodifiedFactProperty Methods A LuaCodifiedFactProperty object is a property of a complete fact. A  LuaCodifiedFactProperty objects can have zero or more LuaCodifiedFactQualifier objects. See  LuaCodifiedFactQualifier Methods ."},"649":{y:0,u:"../Content/AnswerServerLua/LuaCodifiedFactProperty_new.htm",l:-1,t:"LuaCodifiedFactProperty:new",i:0.000651744484790131,a:"The constructor for a LuaCodifiedFactProperty object (creates a new LuaCodifiedFactProperty object). The LuaCodifiedFactProperty object is a property of an incomplete fact.  Syntax new(code, value, qualifiers) Arguments Example local fact = ..."},"650":{y:0,u:"../Content/AnswerServerLua/LuaCodifiedFactQualifier_Methods.htm",l:-1,t:"LuaCodifiedFactQualifier Methods",i:0.000765333583331006,a:"LuaCodifiedFactQualifier Methods A LuaCodifiedFactQualifier object is a qualifier for a complete fact property."},"651":{y:0,u:"../Content/AnswerServerLua/LuaCodifiedFactQualifier_new.htm",l:-1,t:"LuaCodifiedFactQualifier:new",i:0.00107402222676099,a:"The constructor for a LuaCodifiedFactQualifier object (creates a new LuaCodifiedFactQualifier object). The LuaCodifiedFactQualifier object describes a qualifier for a complete fact property. Syntax new(code, value) Arguments Example local fact = ..."},"652":{y:0,u:"../Content/Resources/MasterPages/_FT_Glossary.htm",l:-1,t:"Glossary",i:0.000423486625910197,a:"Glossary"},"653":{y:0,u:"../Content/Actions/Management/Parameters/ExcludedIDs.htm",l:-1,t:"ExcludedIDs",i:0.00344278057507461,a:"The IDs of the resources that you want to exclude from the results. By default, Answer Server returns any resources that match the specified  Type . You can use ExcludedIDs to exclude a particular ID or IDs. Separate multiple IDs with commas. If you specify an ID in both  IDs  and ExcludedIDs, ..."},"654":{y:0,u:"../Content/Service/ServiceActions/_ACI_FromDisk.htm",l:-1,t:"FromDisk",i:0.000960091452530335,a:"FromDisk Specifies whether the log stream is read from disk or memory. Type  True if you want the log stream to be read from disk rather than from memory. "},"655":{y:0,u:"../Content/Actions/SharedParameters/_ACI_TemplateParamCSVs.htm",l:-1,t:"TemplateParamCSVs",i:0.000518620271050745,a:"A comma-separated list of variables to set in the XSL template.  If you specify an XSL template in the  Template  parameter, you can set the XSLT variables for the template by setting TemplateParamCSVs. Set a variable by adding the parameter name and the value, separated by a comma. To set multiple ..."},"656":{y:0,u:"../Content/Actions/General/_ACI_DiskReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00291487053178282,a:"MaxDepth The maximum number of levels to print in the output for a disk report. Answer Server always counts all objects, but for this number of levels, Answer Server also prints details of the components, items, directories, and files.  To print the whole directory tree, set this parameter to  -1. "},"657":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Template.htm",l:-1,t:"Template",i:0.0050447257995064,a:"Template The name of the XSL template to apply to the action output. Exclude the file path and file extension."},"658":{y:0,u:"../Content/Actions/Ask/CustomizationData.htm",l:-1,t:"CustomizationData",i:0.00389974178678834,a:"A JSON object that defines additional requirements for the  Ask  action. For Fact Bank systems, you can also use this parameter with the  Report  action. For a Passage Extractor system, you can use CustomizationData to supply a SecurityInfo string to use with your Ask action. For Passage Extractor, ..."},"659":{y:0,u:"../Content/Actions/NLG/Parameters/Spec.htm",l:-1,t:"Spec",i:0.00111811112660708,a:"Spec A JSON object that describes the elements that you want to use to generate natural language.  You can retrieve the JSON schema for this parameter by sending a  GetResources  action with  Type  set to  Schema."},"660":{y:0,u:"../Content/Actions/Management/Parameters/SystemName_GetResources.htm",l:-1,t:"SystemName",i:0.00324881372436709,a:"The name of the configured system that you want to retrieve information from. This name must match one of the systems you have configured in the [Systems] section of the Answer Server configuration file. If you do not set SystemName, Answer Server returns resources that apply to all systems. Most ..."},"661":{y:0,u:"../Content/Actions/Ask/Sort.htm",l:-1,t:"Sort",i:0.00588547291279684,a:"The method to use to sort the answers that Answer Server retrieves. You can use one of the following options: System (default). Sort the results by system. Answer Server uses the order that you specify the systems in the  SystemNames  parameter. If  SystemNames  is not set, Answer Server uses the ..."},"662":{y:0,u:"../Content/Actions/Ask/Parameters/Context.htm",l:-1,t:"Context",i:0.00392063036703602,a:"The ID of the question context that you want to use for this question.  The context specifies additional information to limit the scope of the question. In Fact Bank the context is a specific entity used in disambiguation, for example, you might set a context to specify that a user is asking ..."},"663":{y:0,u:"../Content/Actions/Ask/MinScore.htm",l:-1,t:"MinScore",i:0.00353458635820237,a:"The minimum confidence score that an answer must have to return as a result.  If you set this parameter in the  Ask  action, the value that you specify applies to all the systems that Answer Server queries. You can also set the  MinScore  configuration parameter in the configuration section for a ..."},"664":{y:0,u:"../Content/Actions/Management/Parameters/Type.htm",l:-1,t:"Type",i:0.0118978164469872,a:"The type of resource to return.  Depending on the value of type, you might also need to set  SystemName  to a system of the appropriate type. This parameter accepts the following values: question. Returns questions that are stored in the answer bank system. In this case, you must set  SystemName  to ..."},"665":{y:0,u:"../Content/Actions/Status/SystemInfo.htm",l:-1,t:"SystemInfo",i:0.00591490074103279,a:"SystemInfo Set SystemInfo to  True if you want to return information about the configured answer systems.  In this case, the  GetStatus  action returns additional information about index jobs that Answer Server sends to the configured answer bank Agentstore component."},"666":{y:0,u:"../Content/Service/ServiceActions/_ACI_File.htm",l:-1,t:"File",i:0.00226896491385292,a:"File The path and file name of the diagnostics ZIP file to create. You can use an absolute or relative path. Relative paths are relative to the current component working directory."},"667":{y:0,u:"../Content/Actions/Management/Parameters/Filter.htm",l:-1,t:"Filter",i:0.00455105286992209,a:"A filter to use to restrict the resources to return.  You specify a filter as a percent-encoded JSON object that describes the filter to apply. The following table describes the available properties in the filter JSON object, and the values of the  Type  parameter that you can use the filter for.  ..."},"668":{y:0,u:"../Content/Actions/General/_ACI_Format.htm",l:-1,t:"Format",i:0.00187370197725332,a:"Format Type  XML to display the request log in XML format. "},"669":{y:0,u:"../Content/Actions/Management/Parameters/Sort.htm",l:-1,t:"Sort",i:0.0039887539535361,a:"A JSON array that defines the sort methods to use for the  GetResources  results.  The array specifies the sort methods in the order to apply them. Answer Server sorts the results according to the first method. If there are any tied results, it sorts them according to the second method, and so on. ..."},"670":{y:0,u:"../Content/Actions/Ask/Parameters/Text_Converse.htm",l:-1,t:"Text",i:0.000989623768224177,a:"The user text for their part of the conversation.  At the beginning of a conversation, you can send the  Converse  action without the Text parameter. In this case, Answer Server runs the conversation task that has the initial state trigger (for example, a default greeting). If you do not have a ..."},"671":{y:0,u:"../Content/Actions/Management/Parameters/Data.htm",l:-1,t:"Data",i:0.00373041490588574,a:"A JSON object that contains the details of the addition or update that you want to make. You can use the  GetResources  to return the exact schema you need to use for a particular update. For more information, refer to the Answer Server Administration Guide. The  ManageResources  action fails if you ..."},"672":{y:0,u:"../Content/Actions/Ask/Text.htm",l:-1,t:"Text",i:0.00376003140944891,a:"Text The question that you want to ask. You can specify the question in natural language. Answer Server parses the question, and attempts to find answers in the specified  SystemNames ."},"673":{y:0,u:"../Content/Actions/General/_ACI_Refresh.htm",l:-1,t:"Refresh",i:0.00187370197725332,a:"Refresh The number of seconds to elapse before the request log refreshes. "},"674":{y:0,u:"../Content/Actions/Ask/Parameters/SessionID.htm",l:-1,t:"SessionID",i:0.00131362166105533,a:"The session token of the conversation session that you want to use for this conversation. Session tokens track a user conversation, so you must use the same session token throughout a conversation to continue running the conversation tasks.  You create a session token by using the  ManageResources  ..."},"675":{y:0,u:"../Content/Actions/Status/_ACI_GetStatus.htm",l:-1,t:"GetStatus",i:0.000603468925898508,a:"Returns the following details about the  Answer Server setup (provided they have been configured): version number used ports This is an administrative action that can be sent only by users that belong to an authorization role that allows the Admin standard role, or which enables the action ..."},"676":{y:0,u:"../Content/Actions/Management/Parameters/Rule.htm",l:-1,t:"Rule",i:0.00377077417670885,a:"The rule that you want to test questions against. The rule takes the same form as a question equivalence rule, and it can use Boolean and proximity expressions.  You cannot test rules that include FieldText expressions by using  TestRule . For more information about FieldText rules, refer to the  ..."},"677":{y:0,u:"../Content/Actions/Management/Parameters/SystemName.htm",l:-1,t:"SystemName",i:0.00950693282906394,a:"SystemName The name of the configured system that you want to retrieve information from. This name must match one of the systems you have configured in the [Systems] section of the Answer Server configuration file. The system that you specify must be an answerbank or conversation type system."},"678":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ActionID.htm",l:-1,t:"ActionID",i:0.000518620271050745,a:"A string to use to identify an ACI action. You can use this parameter to track actions where the action is passed between multiple IDOL components. Each IDOL component passes the ActionID string along with the action, so that you can easily find related actions in logs for each component. If you do ..."},"679":{y:0,u:"../Content/Actions/General/_ACI_OpenLinks.htm",l:-1,t:"OpenLinks",i:0.00187370197725332,a:"OpenLinks Type  on to open logged requests in a new window when they are clicked. "},"680":{y:0,u:"../Content/Actions/General/_ACI_MemoryReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00291487053178282,a:"MaxDepth The maximum depth to return memory information for. The  MemoryReport  response XML displays a tree structure, with information for components and their sub-components on multiple levels. You can set MaxDepth to restrict the report to this number of levels. "},});